Name:           fdm
Version:        1.7
Release:        3%{?dist}
Summary:        A simple lightweight tool of fetching, filtering and delivering emails
License:        ISC
URL:            http://fdm.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/%{name}/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  byacc
BuildRequires:  libtdb-devel
BuildRequires:  openssl-devel
BuildRequires:  pcre-devel
BuildRequires:  zlib-devel

%description
fdm is a program to fetch mail and deliver it in various ways depending on a 
user-supplied ruleset. Mail may be fetched from stdin, IMAP or POP3 servers, 
or from local maildirs, and filtered based on whether it matches a regexp, 
its size or age, or the output of a shell command. It can be rewritten by an 
external process, dropped, left on the server or delivered into maildirs, 
mboxes, to a file or pipe, or any combination.

fdm is designed to be lightweight but powerful, with a compact but clear 
configuration syntax. It is primarily designed for single-user uses but may 
also be configured to deliver mail in a multi-user setup. In this case, it 
uses privilege separation to minimize the amount of code running as root.

%prep
%setup -q
sed -i 's|install -m|install -pm|g' GNUmakefile

%build
%configure
#After courier-authlib is packaged I'll enable COURIER=1
make PCRE=1 \
     DEBUG=1 \
     LDFLAGS="%{?__global_ldflags}" \
     %{?_smp_mflags}

%install
make install \
     PREFIX=%{_prefix} \
     DESTDIR=%{buildroot} \
     MANDIR=%{_mandir}

%files
%doc CHANGES README examples/
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}.conf.5*

%changelog
* Wed Jul 31 2013 Christopher Meng <rpm@cicku.me> - 1.7-3
- Correct the license.
- Fix description.

* Tue Jul 30 2013 Christopher Meng <rpm@cicku.me> - 1.7-2
- Add missing BR.

* Sat Feb 16 2013 Christopher Meng <rpm@cicku.me> - 1.7-1
- Update to new version.
- Cleanup old stuffs.

* Mon Dec 29 2008 Christopher Meng <cickumqt-NOSPAM@gmail.com> - 1.6-1
- Initial Package.
